TRUNC(3)

NAME
trunc, truncf, truncl - nearest integral value with magnitude less than or equal to |x|

SYNOPSIS
#include <math.h>
double
trunc(double x);
float
truncf(float x);
long double
truncl(long double x);

DESCRIPTION
The trunc(), truncf() and truncl() functions return the nearest integral value with magnitude less than or equal to |x|. They are equivalent to rint(), rintf() and rintl() respectively, in the rounding towards zero mode.

SEE ALSO
ceil(3), fesetround(3), floor(3), nextafter(3), rint(3), round(3)

STANDARDS
The trunc(), truncf() and truncl() functions conform to isoC-99.